# This macros need to match what is in the texlive-texmf package. For
# this reason texlive-texmf is a BuildRequires, and it installs an rpm
# macro file that defines this macro. Here we define it in case it's
# not set.
%{!?_texmf_main: %define _texmf_main %{_datadir}/texmf}

Name:           dvipdfm
Version:        0.13.2d
Release:        35%{?dist}
Summary:        A DVI to PDF translator

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://project.ktug.or.kr/dvipdfmx/
Source0:        http://project.ktug.or.kr/dvipdfmx/snapshot/current/%{name}-%{version}.tar.gz
Patch0:         dvipdfm-0.13.2d-security.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  zlib-devel kpathsea-devel 
# For _texmf_main macro definition (see above)
BuildRequires:	texlive-texmf

Requires:       ghostscript tex(dvips)
Requires(post): /usr/bin/mktexlsr
Requires(postun): /usr/bin/mktexlsr

%description
DVIPDFM is a DVI to PDF translator developed by Mark A. Wicks

%prep
%setup -q -n %{name}
%patch0 -p3

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# Makefile doesn't respect DESTDIR, so we have to use this hack
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING Credits README NEWS doc latex-support
%{_bindir}/ebb
%{_bindir}/dvipdfm
%{_bindir}/dvipdft
%{_texmf_main}/dvipdfm/base
%{_texmf_main}/dvipdfm/config
%{_mandir}/man1/dvipdfm.1*

%changelog
* Sat Mar  8 2008 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.13.2d-35
- Initial separate package - formerly part of texlive

